StrutsDynaFormValidatorTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.struts.StrutsDynaFormValidatorTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.struts
Class StrutsDynaFormValidatorTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.AbstractProgramElementTagsHandler
                  xdoclet.modules.apache.struts.StrutsValidatorTagsHandler
                      xdoclet.modules.apache.struts.StrutsDynaFormValidatorTagsHandler

public class StrutsDynaFormValidatorTagsHandler
extends StrutsValidatorTagsHandler

Struts dynamic form validator tag handler.

Version:
  $Revision: 1.2 $
Author:
  Nick Heudecker (nick at systemmobile dot com)
xdoclet.taghandler
  namespace="DFValidator"
created
  September 27, 2004

Field Summary

Fields inherited from class xdoclet.modules.apache.struts.StrutsValidatorTagsHandler
`args, curFieldName, currentArgKey, supportedTypes`

Fields inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`currentToken, matchPattern, tagTokenizer`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`StrutsDynaFormValidatorTagsHandler()`

Method Summary
`void` | `forAllFields(String template, Properties attributes)` Iterates the body for each field of the current form requiring validation.
`void` | `forAllForms(String template, Properties attributes)` Iterates over all POJOs with dynaform tags and evaluates the body of the tag for each class.
`String` | `formName(Properties attributes)` Gets the "name" attribute for the <form> element in the xml descriptor.

Methods inherited from class xdoclet.modules.apache.struts.StrutsValidatorTagsHandler
`argIndex, argName, argValue, fieldName, forAllFieldArgs, getFields, getFields, ifArgIsForType, ifArgIsResource, ifArgIsValue, ifFieldIsIndexed, ifFormHasFields, ifNoArg0, indexedListProperty, loadFieldArguments, validatorList`

Methods inherited from class xdoclet.tagshandler.AbstractProgramElementTagsHandler
`checkForWrap, currentToken, exceptionList, firstSentenceDescriptionOfCurrentMember, forAllMembers, forAllMemberTags, forAllMemberTagTokens, getAllClasses, getClassNameFor, getFullClassNameFor, getFullSuperclassNameFor, getIndentChars, getXExecutableMemberForMemberName, getXExecutableMemberForMemberName, hasExecutableMember_OLD, hasExecutableMember, makeCopyOfArray, matchValue, memberComment, setMatchValue, skipToken`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsDynaFormValidatorTagsHandler

    public StrutsDynaFormValidatorTagsHandler()

Method Detail

### forAllForms

    public void forAllForms(String template,
                            Properties attributes)
                     throws XDocletException

  Iterates over all POJOs with dynaform tags and evaluates the body of the tag for each class.

  Overrides:
    `forAllForms` in class `StrutsValidatorTagsHandler`
  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### formName

    public String formName(Properties attributes)
                    throws XDocletException

  Gets the "name" attribute for the <form> element in the xml descriptor.

  Overrides:
    `formName` in class `StrutsValidatorTagsHandler`
  Parameters:
    `attributes` - The content tag attributes.
  Returns:
    form name
  Throws:
    `XDocletException` - if anything goes awry.
  doc.tag
    type="content"

### forAllFields

    public void forAllFields(String template,
                             Properties attributes)
                      throws XDocletException

  Iterates the body for each field of the current form requiring validation.

  Overrides:
    `forAllFields` in class `StrutsValidatorTagsHandler`
  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD